pkg-get(8)

NAME
pkg-get - a package management tool for CRUX Linux

SYNOPSIS
pkg-get command <arguments> [options]

DESCRIPTION
pkg-get is a simple package management tool for CRUX Linux. It tries to replicate some of the most useful features of the port management tool prt-get(8) to be used with binary packages. pkg-get requires a remote or local package repository that can be generated by repository maintainers with the pkg-repgen(8) script.

COMMANDS

install <package1> [<package2>..<packageN>]
    Install given packages, download if necessary.

update <package1> [<package2>..<packageN>]
    Update given packages, download if necessary.

diff [--all]
    Show a list of outdated packages. The --all option also displays locked packages.

quickdiff
    Show a compact list of outdated packages.

sysup
    Update all outdated packages. Download if necessary.

depinst <package1> [<package2>..<packageN>]
    Install given packages and relative dependencies.

depends <package>
    Show a recursive list of dependencies for package and their installation status.

dependent <package> [--all]
    Show installed (or all with the --all option) packages that depend from package.

quickdep <package>
    Show a brief list of dependencies for package.

info <package>
    Show information about package.

current <package>
    Show currently installed version of package.

path <package>
    Show local path of package.

readme <package>
    Print README information (if available) for the package.

list
    List all packages in the repository.

listinst
    List all installed packages.

isinst <package>
    Display whether a package is installed.

dsearch <string>
    Search for packages which name or description contain <string>.

search <string>
    Search for packages which name contains <string>.

dup List all duplicates ports (present in more than one repository).

printf <format string1> [--filter=<filter>]
    Description blatantly stolen from prt-get man file. Print formatted port list. Format string can contain variables, which are replaced like this:

    •   %n -> name

    •   %p -> path

    •   %v -> version

    •   %r -> release

    •   %d -> description

    •   %e -> dependencies

    •   %u -> url

    •   %R -> Readme ("yes"/"no")

    •   %E -> pre-install script ("yes"/"no")

    •   %O -> post-install script ("yes"/"no")

    •   %M -> "Nobody". for compatibility with prt-get

    •   %P -> "Nobody". for compatibility with prt-get

    •   %l -> is locked ("yes"/"no")

    •   %i -> "no" if not installed, "yes" if it's installed and up to date and "diff" if it's installed and a new version is in the repository.

Use "\n" and "\t" to format your output (no additional format specified suported). The optional format string2 can contain the same variables as format string1 and is used to sort the output. You can specify a wildcard filter to filter by package name.

lock <package1> [<package2>..<packageN>]
    Lock a package (ignore updates).

unlock <package1> [<package2>..<packageN>]
    Unlock a package.

listlocked
    Display a list of locked packages.

sync
    Syncronize local packages with the ones from the remote repository. If the repository is local, this command does nothing.

sysup
    Update all outdated packages.

help
    Display brief help screen.

version
    Show pkg-get version.

OPTIONS

-r <root>
    Use <root> directory when wrapping pkgadd. Note that this only works with update / install !

-do Download only. Applicable to: sysup, depinst, install, update.

-f  Force installing / upgrading. This is passed to pkgadd(8).

-im Ignore md5sum mismatches.

--aargs="arguments"
    pass the specified arguments to pkgadd(8).

--config=/path/to/file
    Use the specified configuration file.

--pre-install
    executes pre-install script if available.

--post-install
    executes post-install script if available.

--install-scripts
    executes pre-install and post-install scripts if available.

CONFIGURATION
Configuration is handled by the /etc/pkg-get.conf file, options are explained in the file itself.

EXAMPLES

pkg-get install sqlite pysqlite
    Install sqlite and pysqlite.

pkg-get depinst kdebase -f
    Install kdebase and all its dependencies, forcing upgrade.

pkg-get sysup -do
    Download new releases of all the outdated packages.

AUTHORS
Simone Rota <sip@varlock.com>

SEE ALSO
pkgadd(8), prt-get(8)